using System;

internal sealed class Delegate646 : MulticastDelegate
{
	public extern void Invoke(object object_0, string string_0);

	public static void smethod_0(object object_0, string string_0, Delegate646 delegate646_1)
	{
		delegate646_1(object_0, string_0);
	}

	public extern Delegate646(object object_0, IntPtr intptr_0);

	static Delegate646()
	{
		Class10.smethod_13(typeof(Delegate646).TypeHandle);
	}

	internal static Delegate646 delegate646_0;
}
